## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# StylesheetExecutionContextDefault::CollationCompareFunctor Class Reference

`#include <StylesheetExecutionContextDefault.hpp>`

Inheritance diagram for StylesheetExecutionContextDefault::CollationCompareFunctor

List of all members.

## Public Methods

- CollationCompareFunctor ()
- virtual ~CollationCompareFunctor ()
- virtual int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, eCaseOrder theCaseOrder = eDefault) const = 0
- virtual int operator() ( const XalanDOMChar* theLHS, const XalanDOMChar* theRHS, const XalanDOMChar* theLocale, eCaseOrder theCaseOrder = eDefault) const = 0

## Constructor & Destructor Documentation

StylesheetExecutionContextDefault::CollationCompareFunctor::CollationCompareFunctor ( | )

virtual StylesheetExecutionContextDefault::CollationCompareFunctor::~CollationCompareFunctor ( | )`[virtual]`

## Member Function Documentation

virtual int StylesheetExecutionContextDefault::CollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| eCaseOrder theCaseOrder = eDefault ) const`[pure virtual]`

Reimplemented in ICUBridgeCollationCompareFunctor, ICUBridgeCollationCompareFunctorImpl, and StylesheetExecutionContextDefault::DefaultCollationCompareFunctor.

virtual int StylesheetExecutionContextDefault::CollationCompareFunctor::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| eCaseOrder theCaseOrder = eDefault ) const`[pure virtual]`

Reimplemented in ICUBridgeCollationCompareFunctor, ICUBridgeCollationCompareFunctorImpl, and StylesheetExecutionContextDefault::DefaultCollationCompareFunctor.

The documentation for this class was generated from the following file:

- StylesheetExecutionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.